Subject: Re: More 2.4.22pre10 ACPI breakage

From: Jeff Garzik <[email-masked]>
Date: Tue, 05 Aug 2003 22:58:12 -0400

Feldman, Scott wrote:
>>  It appears that the intel Se7501BR mother is also having 
>>issues with ACPI.  When ACPI support is enable the e1000
>>controller stops working printing "<6>NETDEV WATCHDOG:
>>eth0: transmit timed out".
> 
> 
> Must...have...interrupts.

You are 100% correct.

That said... I'm tempted to extend NAPI just a bit, to provide an 
"always poll" mode.  It seems like all the bug reports I get these days 
for 8139too are caused by x86 ACPI/APIC/irq routing troubles completely 
unrelated to the driver.  Tulip-almost-NAPI in 2.4 has an always-poll 
mode, so I have a convenient excuse :)

	Jeff